/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.frontend.icons.web.internal.configuration;

import aQute.bnd.annotation.metatype.Meta;

import com.liferay.portal.configuration.metatype.annotations.ExtendedObjectClassDefinition;

/**
 * @author Bryce Osterhaus
 */
@ExtendedObjectClassDefinition(
	category = "frontend-icons", generateUI = false,
	scope = ExtendedObjectClassDefinition.Scope.COMPANY
)
@Meta.OCD(
	id = "com.liferay.frontend.icons.web.internal.configuration.FrontendIconsPacksConfiguration",
	localization = "content/Language",
	name = "frontend-icons-configuration-name"
)
public interface FrontendIconsPacksConfiguration {

	@Meta.AD(deflt = "CLAY", name = "selected-icon-packs", required = false)
	public String[] selectedIconPacks();

}