/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.frontend.icons.web.internal.model;

import com.liferay.portal.kernel.util.StringUtil;

/**
 * @author Bryce Osterhaus
 */
public class FrontendIconsResource {

	public FrontendIconsResource(String content, String name, String viewBox) {
		_content = content;
		_name = name;
		_viewBox = viewBox;
	}

	public String asSymbol() {
		return StringUtil.replace(
			_SYMBOL_TMPL,
			new String[] {"[$CONTENT$]", "[$NAME$]", "[$VIEW_BOX$]"},
			new String[] {_content, _name, _viewBox});
	}

	public String getName() {
		return _name;
	}

	private static final String _SYMBOL_TMPL = StringUtil.read(
		FrontendIconsResource.class,
		"/com/liferay/frontend/icon/admin/web/internal/model/dependencies" +
			"/symbol.svg");

	private final String _content;
	private final String _name;
	private final String _viewBox;

}